rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
parseFiles.c File Reference
RPMBUILD.

Parse files section from spec file. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <rpmlog.h>`
`#include "rpmbuild.h"`
`#include "debug.h"`
Include dependency graph for parseFiles.c:

Go to the source code of this file.

## Functions
int | parseFiles (Spec spec)
| Parse %files section of a spec file. More...

## Variables
static const char * | name = NULL
static const char * | file = NULL
static struct poptOption | optionsTable []

## Detailed Description

Parse files section from spec file.

Definition in file parseFiles.c.

## Variable Documentation

const char* file = NULL
| static

Definition at line 20 of file parseFiles.c.

Referenced by parseFiles().

const char* name = NULL
| static

Definition at line 18 of file parseFiles.c.

struct poptOption optionsTable[]
| static

Initial value:
= {
{ NULL, 'n', POPT_ARG_STRING, &name, 'n', NULL, NULL},
{ NULL, 'f', POPT_ARG_STRING, &file, 'f', NULL, NULL},
{ 0, 0, 0, 0, 0, NULL, NULL}
}

Definition at line 22 of file parseFiles.c.

Referenced by parseFiles().